Package ghidra.trace.database.symbol

# Class AbstractDBTraceSymbolSingleTypeWithLocationView.CacheForGetSymbolsAtQueries

java.lang.Object
ghidra.trace.database.DBTraceCacheForContainingQueries<AbstractDBTraceSymbolSingleTypeWithLocationView.GetSymbolsKey,Collection<? extends T>,T>
ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeWithLocationView.CacheForGetSymbolsAtQueries

Enclosing class:
  `AbstractDBTraceSymbolSingleTypeWithLocationView<T extends AbstractDBTraceSymbol>`

protected class AbstractDBTraceSymbolSingleTypeWithLocationView.CacheForGetSymbolsAtQueries extends DBTraceCacheForContainingQueries<AbstractDBTraceSymbolSingleTypeWithLocationView.GetSymbolsKey,Collection<? extends T>,T>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.trace.database.DBTraceCacheForContainingQueries

  `DBTraceCacheForContainingQueries.GetKey`

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.DBTraceCacheForContainingQueries

  `addressBreadth, pointCache, rangeCache, rangeCacheRange, snapBreadth`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CacheForGetSymbolsAtQueries()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Collection<? extends T>`
  `doGetContaining(AbstractDBTraceSymbolSingleTypeWithLocationView.GetSymbolsKey key)`
  `protected void`
  `loadRangeCache(TraceAddressSnapRange range)`

  ### Methods inherited from class ghidra.trace.database.DBTraceCacheForContainingQueries

  `computeNewCachedRange, ensureInCachedRange, getAllInRangeCacheContaining, getContaining, getFirstInRangeCacheContaining, invalidate, isInCachedRange, notifyEntryRemoved, notifyEntryShapeChanged, notifyNewEntries, notifyNewEntry, notifyNewEntry`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CacheForGetSymbolsAtQueries

    public CacheForGetSymbolsAtQueries()

- ## Method Details

  - ### loadRangeCache

    protected void loadRangeCache(TraceAddressSnapRange range)
    Specified by:
      `loadRangeCache` in class `DBTraceCacheForContainingQueries<AbstractDBTraceSymbolSingleTypeWithLocationView.GetSymbolsKey,Collection<? extends T extends AbstractDBTraceSymbol>,T extends AbstractDBTraceSymbol>`

  - ### doGetContaining

    protected Collection<? extends T> doGetContaining(AbstractDBTraceSymbolSingleTypeWithLocationView.GetSymbolsKey key)
    Specified by:
      `doGetContaining` in class `DBTraceCacheForContainingQueries<AbstractDBTraceSymbolSingleTypeWithLocationView.GetSymbolsKey,Collection<? extends T extends AbstractDBTraceSymbol>,T extends AbstractDBTraceSymbol>`